provider:
  name: faas

functions:
  alpinefunction:
    lang: dockerfile
    handler: ./AlpineFunction
    image: functions/alpine:latest
  figlet:
    lang: dockerfile
    handler: ./figlet
    image: functions/figlet:0.9.6
  apikey-secret:
    lang: go
    handler: ./apikey-secret
    image: functions/apikey-secret:0.1
  captainsintent:
    lang: dockerfile
    handler: ./CaptainsIntent
    image: functions/captainsintent:latest
  changecolorintent:
    lang: dockerfile
    handler: ./ChangeColorIntent
    image: functions/alexa-leds:latest
  chelloworld:
    lang: dockerfile
    handler: ./CHelloWorld/src
    image: functions/helloc:latest
  dockerhubstats:
    lang: dockerfile
    handler: ./DockerHubStats
    image: functions/hubstats:latest
  echo:
    lang: dockerfile
    handler: ./echo
    image: functions/faas-echo:latest
  gif-maker:
    lang: dockerfile
    handler: ./gif-maker
    image: functions/gif-maker:latest
    environment:
      write_timeout: 60s
      read_timeout: 60s

  haveibeenpwned:
    lang: go
    handler: ./haveibeenpwned
    image: functions/haveibeenpwned:0.1
  hostnameintent:
    lang: dockerfile
    handler: ./HostnameIntent
    image: functions/hostname-intent:latest
  markdownrender:
    lang: dockerfile
    handler: ./MarkdownRender
    image: functions/markdown-render:latest
  nmap:
    lang: dockerfile
    handler: ./Nmap
    image: functions/nmap:0.1
  nodeinfo:
    lang: dockerfile
    handler: ./NodeInfo
    image: functions/nodeinfo:latest
  phantomjs:
    lang: dockerfile
    handler: ./Phantomjs
    image: functions/phantomjs:latest
  pwgen:
    lang: dockerfile
    handler: ./pwgen
    image: functions/pwgen-sample:latest
  resizeimagemagick:
    lang: dockerfile
    handler: ./ResizeImageMagick
    image: functions/resizer:latest
  sentimentanalysis:
    lang: dockerfile
    handler: ./SentimentAnalysis
    image: functions/sentimentanalysis:latest
  webhookstash:
    lang: dockerfile
    handler: ./WebhookStash
    image: functions/webhookstash:latest
  wordcountfunction:
    lang: dockerfile
    handler: ./WordCountFunction
    image: functions/wordcount:latest

